#
# spec file for package python3-backports_abc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-backports_abc
Version:        0.4
Release:        3.1
Summary:        A backport of recent additions to the 'collections.abc' module
License:        Python-2.0
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/backports_abc
Source:         https://files.pythonhosted.org/packages/source/b/backports_abc/backports_abc-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Currently, patch() provides the following names if missing:

collections.abc.Generator
collections.abc.Awaitable
collections.abc.Coroutine
inspect.isawaitable(obj)

All of them are also available directly from the backports_abc module
namespace.

In Python 2.x and Python 3.2, it patches the collections module
instead of the collections.abc module. Any names that are already
available when importing this module will not be overwritten.

The names that were previously patched by patch() can be queried
through the mapping in backports_abc.PATCHED.

%prep
%setup -q -n backports_abc-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%{python3_sitelib}/*
%doc README.rst CHANGES.rst

%changelog
* Mon May 16 2016 jengelh@inai.de
- Drop trailing dot from summary, and redundant defattr parameter.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Nov 14 2015 arun@gmx.de
- specfile:
  * use correct license name
* Sun Nov  8 2015 arun@gmx.de
- initial version
